PMAP_INIT(9)

NAME
pmap_init, pmap_init2 - initialize the pmap subsystem

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_init(void);
void
pmap_init2(void);

DESCRIPTION
The pmap_init() function initializes the pmap(9) sub-system. It is called during system initialization by vm_init(), to initialize any structures that the pmap_init system needs in order to map between physical and virtual memory.

The pmap_init2() function initializes a zone for the PV entries. These are used to implement page sharing at the physical level. A high water mark is set so that the system can recover from excessive numbers of PV entries.

SEE ALSO
pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.